ClearGui (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.gui, interface: ClearGui

Package org.apache.jmeter.gui

# Interface ClearGui

All Known Subinterfaces:
  `JMeterGUIComponent`

All Known Implementing Classes:
  `AbstractAssertionGui`, `AbstractConfigGui`, `AbstractControllerGui`, `AbstractJMeterGuiComponent`, `AbstractListenerGui`, `AbstractPostProcessorGui`, `AbstractPreProcessorGui`, `AbstractRandomTimerGui`, `AbstractSamplerGui`, `AbstractScopedJMeterGuiComponent`, `AbstractThreadGroupGui`, `AbstractTimerGui`, `AbstractVisualizer`, `AjpSamplerGui`, `AnchorModifierGui`, `ArgumentsPanel`, `AssertionGui`, `AssertionVisualizer`, `AuthPanel`, `BackendListenerGui`, `BeanShellAssertionGui`, `BeanShellSamplerGui`, `BoundaryExtractorGui`, `CacheManagerGui`, `ComparisonVisualizer`, `ConstantTimerGui`, `CookiePanel`, `CounterConfigGui`, `CriticalSectionControllerGui`, `DNSCachePanel`, `DurationAssertionGui`, `ForeachControlPanel`, `FtpConfigGui`, `FtpTestSamplerGui`, `GaussianRandomTimerGui`, `GraphQLHTTPSamplerGui`, `GraphVisualizer`, `HeaderPanel`, `HTMLAssertionGui`, `HtmlExtractorGui`, `HTTPArgumentsPanel`, `HttpDefaultsGui`, `HttpMirrorControlGui`, `HttpTestSampleGui`, `IfControllerPanel`, `IncludeControllerGui`, `InterleaveControlGui`, `JavaConfigGui`, `JavaTestSamplerGui`, `JMESPathAssertionGui`, `JMESPathExtractorGui`, `JMSPublisherGui`, `JMSSamplerGui`, `JMSSubscriberGui`, `JSONPathAssertionGui`, `JSONPostProcessorGui`, `JUnitTestSamplerGui`, `LDAPArgumentsPanel`, `LdapConfigGui`, `LdapExtConfigGui`, `LdapExtTestSamplerGui`, `LdapTestSamplerGui`, `LogicControllerGui`, `LoginConfigGui`, `LoopControlPanel`, `MailerVisualizer`, `MailReaderSamplerGui`, `MD5HexAssertionGUI`, `ModuleControllerGui`, `NamePanel`, `ObsoleteGui`, `OnceOnlyControllerGui`, `PoissonRandomTimerGui`, `PostThreadGroupGui`, `PropertyControlGui`, `ProxyControlGui`, `RandomControlGui`, `RandomOrderControllerGui`, `RecordController`, `RegexExtractorGui`, `RegExUserParametersGui`, `RespTimeGraphVisualizer`, `ResultActionGui`, `ResultSaverGui`, `RunTimeGui`, `SampleTimeoutGui`, `ScriptingBeanInfoSupport.JSR223ScriptCacheCheckboxEditor`, `SetupThreadGroupGui`, `SimpleConfigGui`, `SimpleDataWriter`, `SizeAssertionGui`, `SMIMEAssertionGui`, `SmtpSamplerGui`, `StatGraphVisualizer`, `StaticJMeterGUIComponent`, `StatVisualizer`, `SummariserGui`, `SummaryReport`, `SwitchControllerGui`, `SystemSamplerGui`, `TableEditor`, `TableVisualizer`, `TCPConfigGui`, `TCPSamplerGui`, `TestActionGui`, `TestBeanGUI`, `TestFragmentControllerGui`, `TestPlanGui`, `ThreadGroupGui`, `ThroughputControllerGui`, `TransactionControllerGui`, `UniformRandomTimerGui`, `URLRewritingModifierGui`, `UserParametersGui`, `ViewResultsFullVisualizer`, `WhileControllerGui`, `WorkBenchGui`, `XMLAssertionGui`, `XMLSchemaAssertionGUI`, `XPath2AssertionGui`, `XPath2ExtractorGui`, `XPathAssertionGui`, `XPathExtractorGui`

public interface ClearGui

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearGui()`
  Clear the gui and return it to initial default values.

- ## Method Details

  - ### clearGui

    void clearGui()
    Clear the gui and return it to initial default values. This is necessary because most gui classes are instantiated just once and re-used for multiple test element objects and thus they need to be cleared between uses.